void main (void)
{
 //end sequence for s5
 freeze(1);
 freeze(&temp1hold);
 freeze(&temp2hold);
 freeze(&temp3hold);
wait(500);
screenlock(0);
say_stop("`2你成功了！！小森林你成功了！", &temp1hold);
wait(500);
say_stop("`#丁克，你拯救了我！你是个英雄！", &temp3hold);
wait(500);
//choice statement just for fun
choice_start();
"嘿嘿，那没什么啦。"
"确切的说，我拯救了你们所有人。"
choice_end();
wait(500);
say_stop("`#不管怎么样，我们都非常感谢。", &temp2hold);
wait(500);
say_stop("`2那两条龙已骚扰了我们整整两个月。", &temp1hold);
wait(500);
say_stop("`2这一切都是从我们在他们的窝上建立了这个镇后开始的。", &temp1hold);
wait(500);
say_stop("那就是说，我刚杀了两只为了保护家园而战斗的无辜的龙？", 1);
wait(500);
say_stop("`2额，我得回店里去，再见。", &temp1hold);
move_stop(&temp1hold, 6, 670,1);
sp_active(&temp1hold, 0);

 int &door = sp(2);
 sp_prop(&door, 1);


&story = 12;
&s5-jop = 4;
 unfreeze(1);
 unfreeze(&temp1hold);
 unfreeze(&temp2hold);
 unfreeze(&temp3hold);
 kill_this_task();
}
